apiVersion: apps/v1
kind: Deployment
metadata:
  name: rest-api
spec:
  replicas: 1
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 0
      maxSurge: 1
  selector:
    matchLabels:
      app: rest-api
  template:
    metadata:
      labels:
        app: rest-api
    spec:
      nodeSelector:
        scope: apps
      containers:
      - image: eu.gcr.io/originaldev/rest-api=v0.1
        name: rest-api
        imagePullPolicy: Always
        envFrom:
        - configMapRef:
            name: app-config
        - secretRef:
            name: rest-api-secret
        env:
        - name: DATABASE_URL
          valueFrom:
            secretKeyRef:
              name: db-secret
              key: DATABASE_URL
        ports:
        - containerPort: 3000
        readinessProbe:
          httpGet:
            path: health
            port: 3000
        livenessProbe:
          httpGet:
            path: health
            port: 3000
          periodSeconds: 30
          initialDelaySeconds: 10
        resources: {}
status: {}
